/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenereportdetailPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "REPORTCODE")
    private String reportcode;
    @Basic(optional = false)
    @Column(name = "MODULECODE")
    private String modulecode;
    @Basic(optional = false)
    @Column(name = "REPORTPARAMETER")
    private String reportparameter;

    public TgenereportdetailPK() {
    }

    public TgenereportdetailPK(String reportcode, String modulecode, String reportparameter) {
        this.reportcode = reportcode;
        this.modulecode = modulecode;
        this.reportparameter = reportparameter;
    }

    public String getReportcode() {
        return reportcode;
    }

    public void setReportcode(String reportcode) {
        this.reportcode = reportcode;
    }

    public String getModulecode() {
        return modulecode;
    }

    public void setModulecode(String modulecode) {
        this.modulecode = modulecode;
    }

    public String getReportparameter() {
        return reportparameter;
    }

    public void setReportparameter(String reportparameter) {
        this.reportparameter = reportparameter;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (reportcode != null ? reportcode.hashCode() : 0);
        hash += (modulecode != null ? modulecode.hashCode() : 0);
        hash += (reportparameter != null ? reportparameter.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenereportdetailPK)) {
            return false;
        }
        TgenereportdetailPK other = (TgenereportdetailPK) object;
        if ((this.reportcode == null && other.reportcode != null) || (this.reportcode != null && !this.reportcode.equals(other.reportcode))) {
            return false;
        }
        if ((this.modulecode == null && other.modulecode != null) || (this.modulecode != null && !this.modulecode.equals(other.modulecode))) {
            return false;
        }
        if ((this.reportparameter == null && other.reportparameter != null) || (this.reportparameter != null && !this.reportparameter.equals(other.reportparameter))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenereportdetailPK[ reportcode=" + reportcode + ", modulecode=" + modulecode + ", reportparameter=" + reportparameter + " ]";
    }
    
}
